# CraftPresence

## [v2.2.0+Beta.4](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.2.0+Beta.4) (2022-05-25)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.2.0+Beta.3...v2.2.0+Beta.4) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Refactor] Multiple Performance Improvements for `SyncDynamicData`  
    - Supplying pre-filled data for `SyncDynamicData` is no longer allowed, since with `supply\_data` in use, there is no viable need for it.  
    - Moved the initial data table creation to after the `placeholders` for loop, as well as deprecated and removed the usage of `SetFormats`. Both of these should give ample improvements in performance as well as reduce any excessive memory usage.  
    - `SyncDynamicData` will now only return the data table when `supply\_data` is true, otherwise it does not return anything.  
    - Note: The `GetCaseData` calls will soon be replaced with two new fields in the config, that is currently being internally tested. Once these are ready, users will be able to specify the post-processing format of the strings, instead of it being hard-coded. This is the last remaining portion of the addon that is hardcoded rpc-wise.  
- [Change] Added Documentation to list supported types in `GetCaseData`  
